Skip to main content
POST
Fetch GSTIN with PAN

Authorizations

x-client-id
string
header
required

Client ID. You can find your ID in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret key in the Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if IP is not whitelisted.

Body

application/json

Find the request parameters to retrieve the list of GSTIN associated with a PAN

pan
string
default:AZJPG7110R
required

It is the unique 10-character alphanumeric identifier issued by the Income Tax Department.

Example:

"AZJPG7110R"

verification_id
string
default:testverificationid
required

It is the unique ID you create to identify the request. The maximum character limit is 50. Alphanumeric, period (.), hyphen (-), and underscore ( _ ) are allowed.

Example:

"testverificationid"

Response

Success response for retrieving the list of GSTIN associated with the entered PAN

reference_id
integer

It displays the unique ID created by Cashfree Payments for reference purposes. format: int64

Example:

1358

verification_id
string

It displays the unique ID you create to identity the verification request.

Example:

"testverificationid"

status
string

It displays the status of the API request. Possible values are

  • SUCCESS: GSTINs associated with the provided PAN were retrieved successfully.
  • GSTIN_NOT_FOUND: No GSTIN is associated with the provided PAN.
Example:

"SUCCESS"

pan
string

It displays the entered PAN information in the request.

Example:

"AZJPG7110R"

gstin_list
object[]

It displays the list of GSTIN associated with the entered PAN.